Package uk.ac.starlink.util

# Class Bi<A,B>

java.lang.Object
uk.ac.starlink.util.Bi<A,B>

public class Bi<A,B> extends Object
Aggregates two typed objects of different types. This utility class does not do anything clever.

Since:
  18 Jul 2023
Author:
  Mark Taylor
See Also:
  - `Pair`

## Constructor Summary

Constructors
Constructor
Description
`Bi(A item1, B item2)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`A`
`getItem1()`
Returns this object's first item.
`B`
`getItem2()`
Returns this object's second item.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Bi

public Bi(A item1, B item2)
Constructor.

Parameters:
  `item1` - first item
  `item2` - second item

## Method Details

### getItem1

public A getItem1()
Returns this object's first item.

Returns:
  item

### getItem2

public B getItem2()
Returns this object's second item.

Returns:
  item

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`